<template>
  <div class="main-container">
    <header class="top-header">
      <img
        loading="lazy"
        src="https://cdn.builder.io/api/v1/image/assets/TEMP/b8a8dcda3a61dcd534876d8b3f059d6068b5193f37bf29271e97d2064b5f7bfa?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&"
        class=""
        alt="Logo"
      />
      <nav class="nav-links">
        <a href="#">Find a Store</a>
        <span>|</span>
        <a href="#">Help</a>
        <span>|</span>
        <a href="#">Join Us</a>
        <span>|</span>
        <a href="#">Sign In</a>
      </nav>
    </header>

    <nav class="main-nav">
      <ul>
        <li>New & Featured</li>
        <li>Men</li>
        <li>Women</li>
        <li>Kids</li>
        <li>Sale</li>
        <li>SNKRS</li>
      </ul>
      <div class="search-and-cart">
        <div tabindex="0" role="button" class="search">
          <img
            loading="lazy"
            src="https://cdn.builder.io/api/v1/image/assets/TEMP/451a224d6163969de4cef337ea40d5024348376d474ff2c725d873009d1f9d64?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&"
            class="search-icon"
            alt="Search"
          />
          <span>Search</span>
        </div>
        <img
          loading="lazy"
          src="https://cdn.builder.io/api/v1/image/assets/TEMP/58471849dfc6d91c5fcd7ef004633d4a3a00dfffda5c0a8f954f5e10315a13bf?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&"
          class="cart-icon"
          alt="Cart"
        />
        <img
          loading="lazy"
          src="https://cdn.builder.io/api/v1/image/assets/TEMP/bd73e2af7462f1e5bfffd7981926af2f79c8e88d9cf47dfcff453c1b13532aeb?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&"
          class="favorites-icon"
          alt="Favorites"
        />
      </div>
    </nav>

    <main class="signup-section">
      <img
        loading="lazy"
        src="https://cdn.builder.io/api/v1/image/assets/TEMP/3b4af5e0f2463f8565cf055c1da071df9fc4f2c1a6607c918a2e01d3f2183cbb?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&"
        class="main-image"
        alt="Main banner image"
      />
      <h1>BECOME A NIKE MEMBER</h1>
      <p>
        Create your Nike Member profile and get first access to the very best of
        Nike products, inspiration and community.
      </p>

      <form class="signup-form">
        <label for="email">Email address</label>
        <input type="email" id="email" placeholder="Enter your email" />

        <label for="password">Password</label>
        <input
          type="password"
          id="password"
          placeholder="Enter your password"
        />

        <label for="firstName">First Name</label>
        <input type="text" id="firstName" placeholder="Enter your first name" />

        <label for="lastName">Last Name</label>
        <input type="text" id="lastName" placeholder="Enter your last name" />

        <label for="dob">Date of Birth</label>
        <input type="date" id="dob" placeholder="Enter your date of birth" />
        <p>Get a Nike Member Reward every year on your Birthday.</p>

        <label for="country">Country</label>
        <div class="dropdown">
          <select id="country">
            <option value="India">India</option>
          </select>
          <img
            loading="lazy"
            src="https://cdn.builder.io/api/v1/image/assets/TEMP/ef42675e4b2d76aec8f32c992f3707baba67c2a73c9c3ea499e0a27dfe641ebd?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&"
            class="flag-icon"
            alt="Country flag"
          />
        </div>

        <fieldset>
          <legend>Gender</legend>
          <label for="male">Male</label>
          <input type="radio" id="male" name="gender" />

          <label for="female">Female</label>
          <input type="radio" id="female" name="gender" />
        </fieldset>

        <div class="newsletter">
          <input type="checkbox" id="newsletter" />
          <label for="newsletter"
            >Sign up for emails to get updates from Nike on products, offers and
            your Member benefits</label
          >
        </div>

        <p>
          By creating an account, you agree to Nike's
          <span class="link">Privacy Policy</span> and
          <span class="link">Terms of Use</span>.
        </p>

        <button type="submit" class="signup-button">JOIN US</button>
        <p>Already a Member? <a href="#" class="link">Sign In.</a></p>
      </form>
    </main>

    <footer class="footer">
      <div class="footer-links">
        <div class="column">
          <a href="#">Find A Store</a>
          <a href="#">Become A Member</a>
          <a href="#">Sign Up for Email</a>
          <a href="#">Send Us Feedback</a>
          <a href="#">Student Discounts</a>
        </div>
        <div class="column">
          <h4>Get Help</h4>
          <a href="#">Order Status</a>
          <a href="#">Delivery</a>
          <a href="#">Returns</a>
          <a href="#">Payment Options</a>
          <a href="#">Contact Us On Nike.com Inquiries</a>
          <a href="#">Contact Us On All Other Inquiries</a>
        </div>
        <div class="column">
          <h4>About Nike</h4>
          <a href="#">News</a>
          <a href="#">Careers</a>
          <a href="#">Investors</a>
          <a href="#">Sustainability</a>
        </div>
      </div>
      <img
        loading="lazy"
        src="https://cdn.builder.io/api/v1/image/assets/TEMP/e8dc052e1637a36239f06e577e9ba65c115b2b966b541e475b7fa5c409915d39?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&"
        class="footer-logo"
        alt="Footer logo"
      />
      <div class="footer-bottom">
        <div class="country-and-rights">
          <div class="country">
            <img
              loading="lazy"
              src="https://cdn.builder.io/api/v1/image/assets/TEMP/986782f04c9355bb7b25bfab08eb9811234839e2613d49d0298abb908f0e4c96?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&"
              alt="India flag"
            />
            <span>India</span>
          </div>
          <span>© 2023 Nike, Inc. All Rights Reserved</span>
        </div>
        <ul class="legal-links">
          <li><a href="#">Guides</a></li>
          <li><a href="#">Terms of Sale</a></li>
          <li><a href="#">Terms of Use</a></li>
          <li><a href="#">Nike Privacy Policy</a></li>
        </ul>
      </div>
    </footer>
  </div>
</template>

<style scoped>
.main-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  background-color: #fff;
}

.top-header {
  display: flex;
  justify-content: center;
  background-color: #f5f5f5;
  width: 100%;
  gap: 20px;
  color: #111;
  padding: 0 43px;
}

@media (max-width: 991px) {
  .top-header {
    flex-wrap: wrap;
    padding: 0 20px;
  }
}

.logo {
  width: 24px;
  margin: auto 0;
  aspect-ratio: 1;
}

.nav-links {
  display: flex;
  gap: 17px;
  align-items: center;
}

.nav-links a {
  font: 500 11px/164% Inter, sans-serif;
}

.main-nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #fff;
  padding: 10px 38px;
}

@media (max-width: 991px) {
  .main-nav {
    flex-wrap: wrap;
    padding: 0 20px;
  }
}

.main-nav ul {
  display: flex;
  gap: 20px;
  font-size: 15px;
  color: #111;
  font-weight: 500;
}

.main-nav ul li {
  font-family: Inter, sans-serif;
}

.search-and-cart {
  display: flex;
  gap: 20px;
}

.search {
  display: flex;
  align-items: center;
  gap: 14px;
  font-size: 16px;
  color: #111;
  background-color: #f5f5f5;
  border-radius: 100px;
  padding: 8px 10px;
}

.search-icon,
.cart-icon,
.favorites-icon {
  width: 24px;
  aspect-ratio: 1;
}

.signup-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #fff;
  padding: 31px 28px;
  max-width: 380px;
  margin: 0 auto;
  color: #8d8d8d;
}

.main-image {
  width: 100%;
  max-width: 100%;
  aspect-ratio: 16/9;
}

.signup-section h1 {
  color: #111;
  font: 700 18px/144% Inter, sans-serif;
  margin: 38px 0;
}

.signup-section p {
  text-align: center;
  font-family: Inter, sans-serif;
  line-height: 22px;
  margin: 10px 0;
}

.signup-form {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.signup-form label {
  font-family: Inter, sans-serif;
  margin-top: 13px;
}

.signup-form input,
.signup-form select {
  font-family: Inter, sans-serif;
  padding: 15px 17px;
  margin-top: 13px;
  border: 1px solid rgba(229, 229, 229, 1);
  border-radius: 3px;
  background-color: #fff;
}

.signup-form .dropdown {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.signup-form .flag-icon {
  width: 10px;
}

.signup-form fieldset {
  display: flex;
  margin-top: 10px;
  gap: 17px;
  font-size: 13px;
}

.signup-form .legend {
  font-family: Inter, sans-serif;
}

.signup-form .newsletter {
  display: flex;
  align-items: center;
  margin-top: 20px;
  gap: 14px;
  font-size: 11px;
  line-height: 14px;
}

.signup-button {
  background-color: #000;
  color: #fff;
  padding: 15px 60px;
  font: 15px/113% Inter, sans-serif;
  margin-top: 30px;
  text-align: center;
  border: 1px solid rgba(0, 0, 0, 1);
  border-radius: 3px;
}

.signup-section .link {
  color: #111;
  text-decoration: underline;
}

.signup-section .link a {
  font-family: Inter, sans-serif;
  font-size: 11px;
}

.footer {
  display: flex;
  flex-direction: column;
  background-color: #111;
  padding: 40px 40px 16px;
}

@media (max-width: 991px) {
  .footer {
    padding: 0 20px;
  }
}

.footer-links {
  display: flex;
  justify-content: space-between;
  margin-bottom: 56px;
}

.footer-links .column {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.footer-links a,
.footer-links h4 {
  color: #fff;
  font-family: Inter, sans-serif;
  text-transform: uppercase;
}

.footer-links .column a {
  font-size: 10px;
  line-height: 327%;
}

.footer .footer-logo {
  width: 330px;
  max-width: 100%;
  aspect-ratio: 9.09;
}

.footer-bottom {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}

.footer-bottom .country-and-rights,
.footer-bottom .legal-links {
  display: flex;
  flex-direction: column;
}

.footer-bottom .country {
  display: flex;
  align-items: center;
  gap: 8px;
  color: #fff;
  font-family: Inter, sans-serif;
}

.footer-bottom .country img {
  width: 18px;
  aspect-ratio: 1.2;
}

.footer-bottom .legal-links {
  list-style: none;
  display: flex;
  flex-direction: row;
  gap: 20px;
  color: #7e7e7e;
  font-size: 11px;
}
</style>
